<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가
?>
<script language="JavaScript">
// 글자수 제한
var char_min = parseInt(<?=$comment_min?>); // 최소
var char_max = parseInt(<?=$comment_max?>); // 최대
</script>

<!-- 답변 리스트 -->
<div id="commentContents">
<?
for ($i=0; $i<count($list); $i++) {
    $comment_id = $list[$i][wr_id];

// 채택 색상 변경
if ($i == '0' && $write[wr_2] == '1') {

// 이미지
$c_sun = "<img src='$board_skin_path/img/icon_sun.png' align='absmiddle'> ";
$c_img1 = "c_box1_3.gif";
$c_img2 = "c_box2_3.gif";

// 색상
$c_color = "#f6f1cc";
} else {
// 이미지
$c_sun = "";
$c_img1 = "c_box1_2.gif";
$c_img2 = "c_box2_2.gif";

// 색상
$c_color = "#f9f9f9";
}
?>
<?
// 채택하지 않았을 때, 답변 코멘트 리스트 보여주기
// 답변시간이 채택시간보다 작을 때, 채택하지 않았을 때
if ($list[$i][wr_datetime] < $write[wr_9] || $write[wr_2] == '0') {
?>
<? for ($k=0; $k<strlen($list[$i][wr_comment_reply]); $k++) echo ""; ?>
<tr>
	<td width="<?=$bo_w1?>" height="10" colspan="5"></td>
</tr>
<tr>
	<td width="<?=$bo_w1?>" colspan="5">
<a name="c_<?=$comment_id?>"></a>
<table width="<?=$bo_w1?>" cellpadding="0" cellspacing="0" border="0" align="center">
<tr>
	<td colspan="2" width="6" height="1"><img src="<?=$board_skin_path?>/img/c_box1.gif" width="6" height="1"></td>
	<td bgcolor="#d9d9d9" width="<?=$bo_w8?>" height="1"></td>
	<td colspan="2" width="6" height="1"><img src="<?=$board_skin_path?>/img/c_box2.gif" width="6" height="1"></td>
</tr>
<tr>
	<td colspan="2" width="6" height="5"><img src="<?=$board_skin_path?>/img/<?=$c_img1?>" width="6" height="5"></td>
	<td bgcolor="<?=$c_color?>" width="<?=$bo_w8?>" height="5"></td>
	<td colspan="2" width="6" height="5"><img src="<?=$board_skin_path?>/img/<?=$c_img2?>" width="6" height="5"></td>
</tr>
<tr>
	<td bgcolor="#d9d9d9" width="1"></td>
	<td bgcolor="<?=$c_color?>" width="5"></td>
	<td bgcolor="<?=$c_color?>">
<table width="<?=$bo_w8?>" cellpadding="0" cellspacing="0" border="0" align="center">
<tr>
	<td style="padding:0 0 0 5px;" width="<?=$bo_w2?>" height="40" colspan="2">
<?=$c_sun?> <span class="c_sub">re: 
<?
if ($list[$i][wr_subject]) {
echo $list[$i][wr_subject];
} else {
echo $write[wr_subject];
}
?></span>
<? 
// 채택된 답변이 없고 게시자의 코멘트가 아니고 로그인 회원이 게시자라면
// 채택 버튼을 표시함
if ($write[wr_2] == '0' && $list[$i][mb_id] != $write[mb_id] && $member[mb_id] == $write[mb_id] || $is_admin == "super" || $is_auth) {
echo "<a href='#' onclick=\"javascript:window.open('{$g4['path']}/service/kin/kin.php?bo_table=$bo_table&wr_id=$wr_id&comment_id=$comment_id','kin','width=450,height=411,top=10,left=10,scrollbars=no')\"><img src='$board_skin_path/img/btn_choice.gif' border=0 align=absmiddle></a>";
}
else if ($list[$i][wr_2] == '1') {
echo "&nbsp;<img src='$board_skin_path/img/img_choice.gif' align=absmiddle>";
}
?></td>
</tr>
<tr>
	<td background="<?=$board_skin_path?>/img/sub_dot.gif" width="<?=$bo_w2?>" height="1"></td>
</tr>
</table></td>
	<td bgcolor="<?=$c_color?>" width="5"></td>
	<td bgcolor="#d9d9d9" width="1"></td>
</tr>
<tr>
	<td bgcolor="#d9d9d9" width="1"></td>
	<td width="5"></td>
	<td style="padding:0 15 0 15px;">
<table width="<?=$bo_w5?>" cellpadding="0" cellspacing="0" border="0" align="center">
<tr>
	<td width="<?=$bo_w5?>" height="40"><span class="c_name"><?=$list[$i][name]?><? if ($is_ip_view) { echo "&nbsp;({$list[$i][ip]})"; } ?></span> <span class="c_date">(<?=$list[$i][datetime]?> 작성)</span></td>
</tr>
<? if ($list[$i][wr_8]) { ?>
<tr>
	<td width="<?=$bo_w5?>" height="15">
<span class='c_ok_title'>질문자 평</span>
<?
// 별점
if ($list[$i][wr_8] == '1') {
echo "<img src='$board_skin_path/img/star_01.gif' style='position:relative; overflow:hidden; left:0; top:-2;' align='absmiddle'>";
}
else if ($list[$i][wr_8] == '2') {
echo "<img src='$board_skin_path/img/star_02.gif' style='position:relative; overflow:hidden; left:0; top:-2;' align='absmiddle'>";
}
else if ($list[$i][wr_8] == '3') {
echo "<img src='$board_skin_path/img/star_03.gif' style='position:relative; overflow:hidden; left:0; top:-2;' align='absmiddle'>";
}
else if ($list[$i][wr_8] == '4') {
echo "<img src='$board_skin_path/img/star_04.gif' style='position:relative; overflow:hidden; left:0; top:-2;' align='absmiddle'>";
}
else if ($list[$i][wr_8] == '5') {
echo "<img src='$board_skin_path/img/star_05.gif' style='position:relative; overflow:hidden; left:0; top:-2;' align='absmiddle'>";
}
?>
</td>
</tr>
<? if ($list[$i][wr_7]) { ?>
<tr>
	<td height="20"><span class="c_ok_msg"><?=$list[$i][wr_7]?></span></td>
</tr>
<? }} ?>
<tr>
	<td width="<?=$bo_w5?>" height="10"></td>
</tr>
<tr>
	<td width="<?=$bo_w5?>">
<!-- 답변 출력 -->
<div><span class="c_con"><?=$list[$i][content]?></span></div>
<? if ($list[$i][trackback]) { echo "<p>".$list[$i][trackback]."</p>"; } ?>
<span id='edit_<?=$comment_id?>' style='display:none;'></span><!-- 수정 -->
<span id='reply_<?=$comment_id?>' style='display:none;'></span><!-- 답변 --></td>
</tr>
<tr>
	<td width="<?=$bo_w5?>" height="30"></td>
</tr>
<?
// 출처가 있을경우 보이기
if ($list[$i][wr_4]) {
?>
<tr>
	<td background="<?=$board_skin_path?>/img/con_dot.gif" width="<?=$bo_w7?>" height="1"></td>
</tr>
<tr>
	<td width="<?=$bo_w5?>" height="15"></td>
</tr>
<tr>
	<td width="<?=$bo_w5?>"><span class="c_origin">출처 : </span><a href="<?=set_http($list[$i][wr_4]);?>" target="_blank"><span class="c_origin_url"><?=$list[$i][wr_4]?></span></a></td>
</tr>
<tr>
	<td width="<?=$bo_w5?>" height="15"></td>
</tr>
<?
}

// 수정 혹은 삭제 권한이 있을경우
if ($list[$i][is_edit] || $list[$i][is_del]) {
?>
<tr>
	<td bgcolor="#ebebeb" width="<?=$bo_w5?>" height="1"></td>
</tr>
<tr>
	<td width="<?=$bo_w5?>" height="30" align="right">
<? if ($list[$i][is_edit] && $write[wr_2] == '0') { echo "<a href=\"javascript:comment_box('{$comment_id}', 'cu');\"><img src='$board_skin_path/img/btn_comment_update.gif' border=0 align=absmiddle></a> "; } ?>
<? if ($list[$i][is_del] && $write[wr_2] == '0')  { echo "<a href=\"javascript:comment_delete('{$list[$i][del_link]}');\"><img src='$board_skin_path/img/btn_comment_delete.gif' border=0 align=absmiddle></a>"; } ?></td>
</tr>
<? } ?>
</table><textarea id='save_comment_<?=$comment_id?>' style='display:none;'><?=get_text($list[$i][wr_content], 0)?></textarea></td>
	<td width="5"></td>
	<td bgcolor="#d9d9d9" width="1"></td>
</tr>
<tr>
	<td colspan="2" width="6" height="5"><img src="<?=$board_skin_path?>/img/c_box3_2.gif" width="6" height="5"></td>
	<td width="<?=$bo_w8?>" height="2"></td>
	<td colspan="2" width="6" height="5"><img src="<?=$board_skin_path?>/img/c_box4_2.gif" width="6" height="5"></td>
</tr>
<tr>
	<td colspan="2" width="6" height="1"><img src="<?=$board_skin_path?>/img/c_box3.gif" width="6" height="1"></td>
	<td bgcolor="#d9d9d9" width="<?=$bo_w8?>" height="1"></td>
	<td colspan="2" width="6" height="1"><img src="<?=$board_skin_path?>/img/c_box4.gif" width="6" height="1"></td>
</tr>
</table></td>
</tr>
<? } else { ?>
<a name="c_<?=$comment_id?>"></a>
<tr>
	<td width="<?=$bo_w1?>" height="10" style='padding:0 10px;' colspan="5"></td>
</tr>
<tr>
<td width="<?=$bo_w1?>" colspan="5">
<table style='border:1px solid #E4E4E4;' width="100%" cellpadding="0" cellspacing="0">
	<tr>
		<td>
<?
for ($k=0; $k<strlen($list[$i][wr_comment_reply]); $k++) 
echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='$board_skin_path/img/c_re.gif' width='8' height='11' align=absmiddle>";
?>
		</td>
		<td width='100%'>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
				<tr height=30>
					<td width="100" align="left" style='padding:5 10 5px;'><?=$list[$i][name]?><? if ($is_ip_view) { echo "<br><span class=C_comment_ip>({$list[$i][ip]})</span>"; } ?></td>
					<td style='padding:5 0 5px;'>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td style='word-break:break-all;'>
									<!-- 코멘트 출력 -->
									<span class="c_con">
<?
$str = $list[$i][content];

$str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp|mms)\:\/\/([^[:space:]]+)\.(mp3|wma|wmv|asf|asx|mpg|mpeg)\".*\<\/a\>\]/i", "<script>doc_write(obj_movie('$1://$2.$3'));</script>", $str);
$str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp)\:\/\/([^[:space:]]+)\.(swf)\".*\<\/a\>\]/i", "<script>doc_write(flash_movie('$1://$2.$3'));</script>", $str);
$str = preg_replace("/\[\<a\s.*href\=\"(http|https|ftp)\:\/\/([^[:space:]]+)\.(gif|png|jpg|jpeg|bmp)\".*\<\/a\>\]/i", "<img src='$1://$2.$3' id='target_resize_image[]' onclick='image_window(this);'>", $str);
echo $str;
?>
									</span>
									<? if ($list[$i][trackback]) { echo "<p>".$list[$i][trackback]."</p>"; } ?>
									<span class=c_date><?=$list[$i][datetime]?></span>&nbsp;<?=$list[$i][icon_new]?>&nbsp;
									<span id='edit_<?=$comment_id?>' style='display:none;'></span><!-- 수정 -->
									<span id='reply_<?=$comment_id?>' style='display:none;'></span><!-- 답변 -->
									<textarea id='save_comment_<?=$comment_id?>' style='display:none; width:100%'><?=get_text($list[$i][wr_content], 0)?></textarea>
								</td>
								<td width="50" height=16 align=right>
									<? if ($list[$i][is_edit]) { echo "<a href=\"javascript:comment_box('{$comment_id}', 'cu');\"><img src='$board_skin_path/img/c_modify.gif' border=0 align=absmiddle></a> "; } ?>
									<? if ($list[$i][is_del])  { echo "<a href=\"javascript:comment_delete('{$list[$i][del_link]}');\"><img src='$board_skin_path/img/c_delete.gif' border=0 align=absmiddle></a> "; } ?>&nbsp;
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table></td>
</tr>
<? } ?>
<? } ?>
</div>
<!-- 답변 리스트 -->


<?
// 댓글 권한이 있고 답변 기간이 지나지 않았거나, 댓글 권한이 있고 답변 채택을 하지 않았을 때
//if ($is_comment_write && $g4[time_ymdhis] < $write[wr_3] && $write[wr_2] == '0' || $is_comment_write && $write[wr_6] == '1') {

// 댓글 권한이 있을 때
if ($is_comment_write) {
?>
<!-- 답변 입력 -->
<tr>
	<td colspan="5" width="<?=$bo_w1?>">
<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr height="20"><td align=right><a href="javascript:comment_box('', 'c');"><span class='small' style='color:#888888;'></span></a></td></tr></table>

<span id=comment_write style='display:none;'>
<form name="fviewcomment" method="post" action="./write_comment_update.php" onsubmit="return fviewcomment_submit(this);" autocomplete="off" style="margin:0px;">
<input type=hidden name=w           id=w value='c'>
<input type=hidden name=bo_table    value='<?=$bo_table?>'>
<input type=hidden name=wr_id       value='<?=$wr_id?>'>
<input type=hidden name=comment_id  id='comment_id' value=''>
<input type=hidden name=sca         value='<?=$sca?>' >
<input type=hidden name=sfl         value='<?=$sfl?>' >
<input type=hidden name=stx         value='<?=$stx?>'>
<input type=hidden name=spt         value='<?=$spt?>'>
<input type=hidden name=page        value='<?=$page?>'>
<input type=hidden name=cwin        value='<?=$cwin?>'>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
	<td colspan="2">
<span style="cursor: pointer;" onclick="textarea_decrease('wr_content', 10);"><img src="<?=$board_skin_path?>/img/up.gif"></span>
<span style="cursor: pointer;" onclick="textarea_original('wr_content', 10);"><img src="<?=$board_skin_path?>/img/start.gif"></span>
<span style="cursor: pointer;" onclick="textarea_increase('wr_content', 10);"><img src="<?=$board_skin_path?>/img/down.gif"></span>
<? if ($comment_min || $comment_max) { ?><span id=char_count></span>글자<?}?>
<? if ($is_guest) { ?>
<br>
<strong>이름</strong>&nbsp;&nbsp;<INPUT type=text maxLength=20 size=15 name="wr_name" itemname="이름" required class=ed>
&nbsp;<strong>비밀번호&nbsp;&nbsp;</strong><INPUT type=password maxLength=20 size=15 name="wr_password" itemname="패스워드" required class=ed>
<? if ($is_norobot) { ?>
<span style="font-size:16px;"><? 
// 이미지 생성이 가능한 경우 자동등록체크코드를 이미지로 만든다. 
if (function_exists("imagecreate")) { 
    echo "<img src='$g4[bbs_path]/norobot_image.php' border='0'>"; 
    $norobot_msg = "* 왼쪽의 자동등록방지 코드를 입력하세요."; 
} 
else { 
    echo $norobot_str; 
    $norobot_msg = "* 왼쪽의 글자중 <FONT COLOR='red'>빨간글자</font>만 순서대로 입력하세요."; 
} 
?></span>
<INPUT title="왼쪽의 글자중 빨간글자만 순서대로 입력하세요." type="input" name="wr_key" itemname="자동등록방지" required class=ed size=6>
<?}?>
<br>
<?}?>
</td>
</tr>
<?
// 채택하지 않았을 때
if ($write[wr_2] == '0') {

$c_con_t = "답변 내용";
?>
<tr>
	<td width="5%" height="30"><strong>제목</strong></td>
	<td width="95%"><INPUT type=text style="width:100%; height:20px;" name="wr_subject" itemname="답변 제목" class=ed value="<?=$c_subject?>"></td>
</tr>
<tr height="10"><td colspan="2"></td></tr>
<?
} else {
$c_con_t = "기타 의견";
}
?>
<tr>
	<td colspan="2">
<textarea id="wr_content" name="wr_content" rows="5" itemname="<?=$c_con_t?>" required 
<? if ($comment_min || $comment_max) { ?>onkeyup="check_byte('wr_content', 'char_count');"<?}?> style='width:100%; word-break:break-all;' class=tx></textarea>
<? if ($comment_min || $comment_max) { ?><script language="javascript"> check_byte('wr_content', 'char_count'); </script><?}?></td>
</tr>
<?
// 채택하지 않았을 때
if ($write[wr_2] == '0') {
?>
<tr height="10"><td colspan="2"></td></tr>
<tr>
	<td height="30"><strong>출처</strong></td>
	<td><INPUT type=text style="width:100%; height:20px;" name="wr_4" itemname="출처" class=ed value="<?=$c_wr_4?>"></td>
</tr>
<? } ?>
<tr>
	<td width="100%" align="center" colspan="2" height="50"><input type="image" src="<?=$board_skin_path?>/img/ok_btn.gif" border=0 accesskey='s'></td>
</tr>
</table></td>
</tr>
</form>
</span>
<script language='JavaScript'>
var save_before = '';
var save_html = document.getElementById('comment_write').innerHTML;
function fviewcomment_submit(f)
{
    var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자

    var s;
    if (s = word_filter_check(document.getElementById('wr_content').value))
    {
        alert("내용에 금지단어('"+s+"')가 포함되어있습니다");
        document.getElementById('wr_content').focus();
        return false;
    }

    // 양쪽 공백 없애기
    var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자
    document.getElementById('wr_content').value = document.getElementById('wr_content').value.replace(pattern, "");
    if (char_min > 0 || char_max > 0)
    {
        check_byte('wr_content', 'char_count');
        var cnt = parseInt(document.getElementById('char_count').innerHTML);
        if (char_min > 0 && char_min > cnt)
        {
            alert("답변는 "+char_min+"글자 이상 쓰셔야 합니다.");
            return false;
        } else if (char_max > 0 && char_max < cnt)
        {
            alert("답변는 "+char_max+"글자 이하로 쓰셔야 합니다.");
            return false;
        }
    }
    else if (!document.getElementById('wr_content').value)
    {
        alert("답변을 입력하여 주십시오.");
        return false;
    }

    if (typeof(f.wr_name) != 'undefined')
    {
        f.wr_name.value = f.wr_name.value.replace(pattern, "");
        if (f.wr_name.value == '')
        {
            alert('이름이 입력되지 않았습니다.');
            f.wr_name.focus();
            return false;
        }
    }

    if (typeof(f.wr_password) != 'undefined')
    {
        f.wr_password.value = f.wr_password.value.replace(pattern, "");
        if (f.wr_password.value == '')
        {
            alert('패스워드가 입력되지 않았습니다.');
            f.wr_password.focus();
            return false;
        }
    }

    if (typeof(f.wr_key) != 'undefined')
    {
        if (hex_md5(f.wr_key.value) != md5_norobot_key)
        {
            alert('자동등록방지용 빨간글자가 순서대로 입력되지 않았습니다.');
            f.wr_key.focus();
            return false;
        }
    }

    return true;
}

function comment_box(comment_id, work)
{
    var el_id;
    // 답변 아이디가 넘어오면 답변, 수정
    if (comment_id)
    {
        if (work == 'c')
            el_id = 'reply_' + comment_id;
        else
            el_id = 'edit_' + comment_id;
    }
    else
        el_id = 'comment_write';

    if (save_before != el_id)
    {
        if (save_before)
        {
            document.getElementById(save_before).style.display = 'none';
            document.getElementById(save_before).innerHTML = '';
        }

        document.getElementById(el_id).style.display = '';
        document.getElementById(el_id).innerHTML = save_html;
        // 답변 수정
        if (work == 'cu')
        {
            document.getElementById('wr_content').value = document.getElementById('save_comment_' + comment_id).value;
            if (typeof char_count != 'undefined')
                check_byte('wr_content', 'char_count');
        }

        document.getElementById('comment_id').value = comment_id;
        document.getElementById('w').value = work;

        save_before = el_id;
    }
}

function comment_delete(url)
{
    if (confirm("이 답변을 삭제하시겠습니까?")) location.href = url;
}
comment_box('', 'c'); // 답변 입력폼이 보이도록 처리하기위해서 추가 (root님)
</script>
<? } ?>